[package]
name = "xand-financial-client-adapter"
version = "0.1.0"
authors = ["Transparent Financial Systems <support@tpfs.io>"]
edition = "2021"
license = "MIT OR Apache-2.0"
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
# 1st party local
xand-financial-client = { path = "../xand-financial-client" }
xandstrate-client = { path = "../validator/client" }
xandstrate-runtime = { path = "../validator/runtime" }
xand-models = { path = "../xand-models" }

# 1st party remote
tpfs_logger_extensions = { version = "0.1.16", registry = "tpfs" }
tpfs_logger_port = { version = "0.3", registry = "tpfs" }
tpfs_krypt = { version = "7.1.0", registry = "tpfs" }
xand_ledger = { version = "0.62.2", registry = "tpfs" }
xand-address = { version = "0.4.2", registry = "tpfs" }
xand-public-key = { path = "./../xand-public-key" }

# 3rd party
snafu = "0.6.1"
async-trait = "0.1.36"
curve25519-dalek = "2.1.2"
futures = "0.3"
serde = "1.0"
serde_derive = "1.0"
sp-core = "3.0.0"

[dev-dependencies]
rand = "0.7"
tokio = { version = "=1.18.4", features = ["macros", "rt-multi-thread"] }
